### Property

# St Entry:input-hints

#### Declaration

    property input-hints: Clutter.InputContentHintFlags [ read, write ]

#### Description [src]

The `ClutterInputContentHintFlags` providing additional hints (beyond `StEntry:input-purpose`) that allow input methods to fine-tune their behaviour.

Type:`ClutterInputContentHintFlags`

Default value | 0
Getter method | `st_entry_get_input_hints()`
Setter method | `st_entry_set_input_hints()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no